### Hierarchy

- CollectionMapper

### Implements

- MapperForType<any[] | Set<any>, CollectionAttributeTypes>

## Index

### Methods

- fromDb
- toDb

## Methods

### fromDb

- fromDb(attributeValue: CollectionAttributeTypes, propertyMetadata?: PropertyMetadata<any, CollectionAttributeTypes>): any[] | Set<any>

- - Defined in mapper/for-type/collection.mapper.ts:24

  #### Parameters

  - ##### attributeValue: CollectionAttributeTypes

  - ##### Optional propertyMetadata: PropertyMetadata<any, CollectionAttributeTypes>

  #### Returns any[] | Set<any>

### toDb

- toDb(propertyValue: any[] | Set<any>, propertyMetadata?: PropertyMetadata<any, CollectionAttributeTypes>): CollectionAttributeTypes | null

- - Defined in mapper/for-type/collection.mapper.ts:60

  #### Parameters

  - ##### propertyValue: any[] | Set<any>

  - ##### Optional propertyMetadata: PropertyMetadata<any, CollectionAttributeTypes>

  #### Returns CollectionAttributeTypes | null

Generated using TypeDoc